Bug 2032256 - Branch and build beep in epel9
Summary: Branch and build beep in epel9
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: beep
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Hans Ulrich Niedermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: EPELPackagersSIG
TreeView+ depends on / blocked
 
Reported: 2021-12-14 09:21 UTC by Neal Gompa
Modified: 2022-01-20 14:53 UTC (History)
7 users (show)

Fixed In Version: beep-1.4.11-2.el9 beep-1.4.11-2.el7 beep-1.4.11-2.fc34 beep-1.4.11-2.el8 beep-1.4.11-2.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-01-20 02:28:52 UTC
Type: ---


Attachments (Terms of Use)

Description Neal Gompa 2021-12-14 09:21:25 UTC
Please branch and build beep in epel9.

Comment 1 Hans Ulrich Niedermann 2022-01-15 13:21:34 UTC
Will do when I find the time to figure out how to do that.

Comment 3 Hans Ulrich Niedermann 2022-01-17 23:30:33 UTC
`fedpkg request-branch <branch>`? Does not say what the actual branch name in this namespace is. "el9"? "epel9"?

Guessing "epel9".

`fedpkg request-branch epel9` then says I need to `fedpkg set-pagure-token`. Does not say what that API token actually needs to do: Blanket all permissions or something specific?

Guessing "create ticket" on https://pagure.io/settings/token/new...

$ fedpkg set-pagure-token ....
ERROR: User config file not found at: /home/user/.config/rpkg/fedpkg.conf
$ mkdir ~/.config/rpkg
$ chmod 0700 ~/.config/rpkg
$ touch ~/.config/rpkg/fedpkg.conf
$ chmod 0600 ~/.config/rpkg/fedpkg.conf
$ fedpkg set-pagure-token ....
https://pagure.io/releng/fedora-scm-requests/issue/41071
$ _

Finally.

Pretty simple indeed. :-)

Anyway, I expect the following two steps until this can be closed:

  * wait for the epel9 branch creation ticket to be resolved
  * run `fedpkg build` on epel9 branch, and maybe create a bodhi update

Comment 5 Fedora Update System 2022-01-19 19:44:54 UTC
FEDORA-2022-0d7b3c1ed9 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2022-0d7b3c1ed9

Comment 6 Fedora Update System 2022-01-19 19:44:56 UTC
FEDORA-2022-d56626616b has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-d56626616b

Comment 7 Fedora Update System 2022-01-19 19:44:57 UTC
FEDORA-EPEL-2022-ac857a2b3b has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-ac857a2b3b

Comment 8 Fedora Update System 2022-01-19 19:44:58 UTC
FEDORA-EPEL-2022-471f181d53 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-471f181d53

Comment 9 Fedora Update System 2022-01-20 02:28:52 UTC
FEDORA-EPEL-2022-985b2a7cf7 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2022-01-20 02:57:15 UTC
FEDORA-EPEL-2022-ac857a2b3b has been pushed to the Fedora EPEL 7 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2022-01-20 08:33:37 UTC
FEDORA-2022-0d7b3c1ed9 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2022-01-20 12:08:16 UTC
FEDORA-EPEL-2022-471f181d53 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-01-20 14:53:30 UTC
FEDORA-2022-d56626616b has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.